Package org.springframework.context

# Class ApplicationContextException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.context.ApplicationContextException

All Implemented Interfaces:
  `Serializable`

public class ApplicationContextException extends org.springframework.beans.FatalBeanException
Exception thrown during application context initialization.

Author:
  Rod Johnson
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextException(String msg)`
Create a new `ApplicationContextException` with the specified detail message and no root cause.
`ApplicationContextException(String msg, Throwable cause)`
Create a new `ApplicationContextException` with the specified detail message and the given root cause.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ApplicationContextException

public ApplicationContextException(String msg)
Create a new `ApplicationContextException` with the specified detail message and no root cause.

Parameters:
  `msg` - the detail message

### ApplicationContextException

public ApplicationContextException(String msg, Throwable cause)
Create a new `ApplicationContextException` with the specified detail message and the given root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause